Update SMS template

Updates an existing SMS template by its type for a specified customer and Tenant.

PUT
/v2/manage/sms-templates/{templateType}

Updates an existing SMS template by its type for a specified customer and Tenant.

Authorization

M2MBearerToken
AuthorizationBearer <token>

M2M Token for authentication

In: header

Path Parameters

templateType*string

The type of SMS template to delete.

Value in"verification" | "forgotpassword" | "welcome" | "changephoneno" | "onetimepasscode" | "secondfactorauthentication" | "noregistrationpasswordlesslogin" | "resetpassword" | "suspicious_ip_sms_to_user" | "suspicious_city_sms_to_user" | "suspicious_country_sms_to_user" | "suspicious_browser_sms_to_user" | "suspicious_device_sms_to_user" | "forgotpin" | "deleteuser" | "breached_password"

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X PUT "https://api.loginradius.com/v2/manage/sms-templates/verification" \  -H "Content-Type: application/json" \  -d '{}'
{
  "SmsTemplateType": "verification",
  "Name": "Welcome Message",
  "Template": "Welcome to our service, {{username}}!"
}

{
  "ErrorCode": 1079,
  "Message": "Put body is invalid or empty",
  "Description": "Please use a valid put body in JSON format in order to process this request."
}

{
  "Message": "Access Unauthorized",
  "Description": "Access Unauthorized, please use valid authorization to access this endpoint.",
  "ErrorCode": 6002
}

{
  "Message": "SMS template is not configured or the resource does not exist",
  "Description": "You don't have any SMS template configured for the LoginRadius site.",
  "ErrorCode": 7954
}

{
  "Message": "Operation failed due to an internal error.",
  "Description": "An unknown internal error occurred, please try again in a few minutes or contact your system administrator.",
  "ErrorCode": 7909
}